'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StaticCoordinator = undefined;

var _anyPromise = require('any-promise');

var _anyPromise2 = _interopRequireDefault(_anyPromise);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var StaticCoordinator = function StaticCoordinator(coordination) {
  var _this = this;

  this.onChangeCallback = null;
  this.coordination = coordination;
  this.coordinate = function (onChangeCallback) {
    _this.onChangeCallback = onChangeCallback;
    _this.onChangeCallback(null, coordination);
    return _anyPromise2.default.resolve();
  };
};

exports.default = StaticCoordinator;
exports.StaticCoordinator = StaticCoordinator;
//# sourceMappingURL=StaticCoordinator.js.map